### Hierarchy

- CellColorCache

## Index

### Constructors

- constructor

### Methods

- clear
- get

## Constructors

### constructor

- new CellColorCache(): CellColorCache

- - Defined in ui/base.ts:9

  #### Returns CellColorCache

## Methods

### clear

- clear(): void

- - Defined in ui/base.ts:32

  #### Returns void

### get

- get(spritesToDrawSet: Set<GameSprite>, backgroundColor: Optional<IColor>, spriteHeight: number, spriteWidth: number): IColor[][]

- - Defined in ui/base.ts:15

  #### Parameters

  - ##### spritesToDrawSet: Set<GameSprite>

  - ##### backgroundColor: Optional<IColor>

  - ##### spriteHeight: number

  - ##### spriteWidth: number

  #### Returns IColor[][]

Generated using TypeDoc